Subject: Re: FW: New Cygwin Net Release (make error)
From: John S Cooper <[email-masked]>
To: "Christopher Jones" <[email-masked]>
Cc: [email-masked]
Date: 16 May 2000 12:08:22 +0100

"Christopher Jones" <[email-masked]> writes:

 > Just wanted to let Eric and everyone else know his patch solved my make
 > problem.  It will probably fix the other problem reported on the list
 > earlier today dealing with the double colon issue.

Unfortunately it didn't fix the double colon problem -- after applying the
patch to make 3.79 (from www.gnu.org), I still get the error below for the
following Makefile:

c:/javabld/foo: c:/javabld/bar
	echo yo

$ ./make-3.79/make.exe  -f Makefile.ef
Makefile.ef:1: *** target pattern contains no `%'.  Stop.

    --- John

 > -----Original Message----- 
 > From: Eric Christopher [ mailto:[email-masked]
 > <mailto:[email-masked]> ] 
 > Sent: Thursday, April 20, 2000 2:55 PM 
 > To: Jones, Christopher [GWRTP:8487:EXCH] 
 > Subject: Re: New Cygwin Net Release (make error) 
 > 
 > 
 > > Christopher Jones wrote: 
 > > 
 > > Hopefully you'll be able to get the latest src and binary tar files 
 > > updated on the cygwin server and a message to the list when it's ready
 > 
 > > would be good.  I need the patch as soon as you have time to send it 
 > > though if it is going to be a few days to get the binaries. 
 > > 
 > > > 
 > 
 > Here's the patch, if this doesn't work right let me know.  I hope to get
 > 
 > new binaries up soon, I've just been way too busy lately. 
 > 
 > Index: read.c 
 > =================================================================== 
 > RCS file: /cvs/cvsfiles/devo/make/read.c,v 
 > retrieving revision 1.30.50.1 
 > diff -u -p -r1.30.50.1 read.c 
 > --- read.c      1999/08/12 02:16:29     1.30.50.1 
 > +++ read.c      2000/04/19 17:23:18 
 > @@ -823,7 +823,7 @@ read_makefile (filename, flags) 
 >                  } 
 >   
 >                colonp = find_char_unquote(p2, ":", 0); 
 > -#if defined(__MSDOS__) || defined(WINDOWS32) 
 > +#if defined(__MSDOS__) || defined(WINDOWS32) || defined (__CYGWIN__) 
 >               /* The drive spec brain-damage strikes again...  */ 
 >               /* FIXME: is whitespace the only possible separator of 
 > words 
 >                  in this context?  If not, the `isspace' test below will
 > 
 > @@ -2297,7 +2297,7 @@ get_next_mword (buffer, delim, startp, l 
 >            goto done_word; 
 >   
 >          case ':': 
 > -#if defined(__MSDOS__) || defined(WINDOWS32) 
 > +#if defined(__MSDOS__) || defined(WINDOWS32) || defined(__CYGWIN__) 
 >           /* A word CAN include a colon in its drive spec.  */ 
 >           if (!(p - beg == 2 && (*p == '/' || *p == '\\') && isalpha 
 > (*beg))) 
 >  #endif 

--
Want to unsubscribe from this list?
Send a message to [email-masked]